@echo off

set DARUMA_HOME=%~d0%~p0
set HOSTNAME=%2
set TESTDIR=%DARUMA_HOME:\=/%/work/samples/DaRuMaTest
set DEBUG=
set SILENT=no
set JAPANESE_TEST=no

IF %2.==. set HOSTNAME=localhost
IF %3. == silent. set SILENT=yes

IF %1.==. GOTO NOPARAM
IF %1 == DaRuMaTest GOTO DaRuMaTest
IF %1 == Multi GOTO Multi
IF %1 == Building GOTO Building
IF %1 == LinkFlow GOTO LinkFlow
IF %1 == LinkFlowNoAttr GOTO LinkFlowNoAttr
IF %1 == ParamicsNode GOTO ParamicsNode
IF %1 == Travel GOTO Travel

:NOPARAM
echo gp@Fcreate_test_data  [Feature]
echo LFeaturegpł܂:
echo     DaRuMaTest:DaRuMaNCAgeXgpFeature
echo     Multi:maxOccurseXgpFeature
echo     Building:RandomCity Feature
echo     LinkFlowFNt[Feature
echo     LinkFlowNoAttrFNt[FeatureiȂj
echo     ParamicsNodeFm[hFeatureiparamicsj
echo     TravelFgxFeature

GOTO END

:DaRuMaTest
set TESTFEATURE=DaRuMaTest
set TESTPREFIX=DaRuMaTest
set TESTTNS=http://www.netconscious.jp/DaRuMaSchema
set JAPANESE_TEST=yes
GOTO START

:Multi
set TESTFEATURE=Multi
set TESTPREFIX=Multi
set TESTTNS=http://www.netconscious.jp/DaRuMaSchema
GOTO START

:Building
cmd /C "%DARUMA_HOME:\=/%/DarumaClient %DEBUG% -host %HOSTNAME% -in %TESTDIR%/common_register.xml"
cmd /C "%DARUMA_HOME:\=/%/DarumaClient %DEBUG% -host %HOSTNAME% -in %TESTDIR%/node_register.xml"
cmd /C "%DARUMA_HOME:\=/%/DarumaClient %DEBUG% -host %HOSTNAME% -in %TESTDIR%/roadlink_register.xml"
set TESTFEATURE=Building
set TESTPREFIX=building
set TESTTNS=http://staff.aist.go.jp/i.noda/Rescue/RandomCity/2.0
GOTO START

:LinkFlow
set TESTFEATURE=LinkFlow
set TESTPREFIX=linkFlow
set TESTTNS=http://staff.aist.go.jp/hiroki.matsui/paramics/
GOTO START

:LinkFlowNoAttr
set TESTFEATURE=LinkFlowNoAttr
set TESTPREFIX=linkFlow-noattr
set TESTTNS=http://staff.aist.go.jp/hiroki.matsui/paramics/
GOTO START

:ParamicsNode
set TESTFEATURE=ParamicsNode
set TESTPREFIX=paramicsnode
set TESTTNS=http://staff.aist.go.jp/hiroki.matsui/paramics/
GOTO START

:Travel
set TESTFEATURE=Travel
set TESTPREFIX=travel
set TESTTNS=http://staff.aist.go.jp/hiroki.matsui/paramics/
GOTO START



:START
echo FeatureType [%TESTFEATURE%] ̃eXgJn...
echo ^[QbgO:%TESTTNS%
echo MispT[o[:%HOSTNAME%

echo DFSXL[}XSDXL[}...
cmd /C "%DARUMA_HOME:\=/%/Csv2Schema -in %TESTDIR%/%TESTPREFIX%.dfs -out %TESTDIR%/%TESTPREFIX%.xsd"
IF %SILENT% == no pause

echo Featureo^܂...
cmd /C "%DARUMA_HOME:\=/%/RegisterFeatureType %DEBUG% -host %HOSTNAME% -in %TESTDIR%/%TESTPREFIX%.xsd"
IF %SILENT% == no pause

echo o^ꂽFeature񋓂܂...
cmd /C "%DARUMA_HOME:\=/%/ShowFeatureTypes %DEBUG% -host %HOSTNAME%"
IF %SILENT% == no pause

echo o^ꂽFeaturẽXL[}\܂...
cmd /C "%DARUMA_HOME:\=/%/DescribeFeatureType %DEBUG% -host %HOSTNAME% {%TESTTNS%}%TESTFEATURE%"
IF %SILENT% == no pause

echo o^ꂽFeaturẽXL[}xpath`ŕ\܂...
cmd /C "%DARUMA_HOME:\=/%/DescribeFeatureType -xpath %DEBUG% -host %HOSTNAME% {%TESTTNS%}%TESTFEATURE%"
IF %SILENT% == no pause

echo FeatureCSVeXgf[^o^܂...
cmd /C "%DARUMA_HOME:\=/%/CsvInsert %DEBUG% -host %HOSTNAME% -csvcfg %TESTDIR%/%TESTPREFIX%-csv2xml.xml -in %TESTDIR%/%TESTPREFIX%-data.csv"
if %JAPANESE_TEST% == yes echo FeatureCSVeXgf[^(Shift_JIS)o^܂...
if %JAPANESE_TEST% == yes cmd /C "%DARUMA_HOME:\=/%/CsvInsert %DEBUG% -host %HOSTNAME% -encode Shift_JIS -csvcfg %TESTDIR%/%TESTPREFIX%-csv2xml.xml -in %TESTDIR%/%TESTPREFIX%-data-sjis.csv"
if %JAPANESE_TEST% == yes echo FeatureCSVeXgf[^(EUC-JP)o^܂...
if %JAPANESE_TEST% == yes cmd /C "%DARUMA_HOME:\=/%/CsvInsert %DEBUG% -host %HOSTNAME% -encode EUC-JP -csvcfg %TESTDIR%/%TESTPREFIX%-csv2xml.xml -in %TESTDIR%/%TESTPREFIX%-data-eucjp.csv"
IF %SILENT% == no pause

echo FeatureXMLeXgf[^o^܂...
cmd /C "%DARUMA_HOME:\=/%/XmlInsert %DEBUG% -host %HOSTNAME% -in %TESTDIR%/%TESTPREFIX%-data.xml"
if %JAPANESE_TEST% == yes echo FeatureXMLeXgf[^(Shift_JIS)o^܂...
if %JAPANESE_TEST% == yes cmd /C "%DARUMA_HOME:\=/%/XmlInsert %DEBUG% -host %HOSTNAME% -in %TESTDIR%/%TESTPREFIX%-data-sjis.xml"
if %JAPANESE_TEST% == yes echo FeatureXMLeXgf[^(EUC-JP)o^܂...
if %JAPANESE_TEST% == yes cmd /C "%DARUMA_HOME:\=/%/XmlInsert %DEBUG% -host %HOSTNAME% -in %TESTDIR%/%TESTPREFIX%-data-eucjp.xml"
IF %SILENT% == no pause


echo Featurẽf[^JEg擾܂...
cmd /C "%DARUMA_HOME:\=/%/CountFeatureType %DEBUG% -host %HOSTNAME% {%TESTTNS%}%TESTFEATURE%"
IF %SILENT% == no pause

echo Featurẽf[^擾܂...
cmd /C "%DARUMA_HOME:\=/%/XmlGetFeature %DEBUG% -host %HOSTNAME% -checkFeature {%TESTTNS%}%TESTFEATURE%"
IF %SILENT% == no pause

echo Featurẽf[^擾 CSV`ŕ\܂...
cmd /C "%DARUMA_HOME:\=/%/CsvGetFeature %DEBUG% -host %HOSTNAME% -encode Shift_JIS -csvcfg %TESTDIR%/%TESTPREFIX%-csv2xml.xml -checkFeature {%TESTTNS%}%TESTFEATURE% "
IF %SILENT% == no pause

REM echo Featurëꕔf[^擾܂  CSV`ŕ\...
REM cmd /C "%DARUMA_HOME:\=/%/CsvGetFeature %DEBUG% -host %HOSTNAME% -in %TESTDIR%/%TESTPREFIX%-getfeature.xml -csvcfg %TESTDIR%/%TESTPREFIX%-csv2xml.xml"
REM IF %SILENT% == no pause

echo "FeatureType [%TESTFEATURE%] ̃eXgI..."

:END


