package daruma.geometry;

import daruma.geometry.Geometry;

public class Point extends Geometry
{
	private	double	x;
	private	double	y;

	public	Point( double  x ,  double  y )
	{
		this.x = x;
		this.y = y;
	}

	public	double	getX()
	{
		return( this.x );
	}

	public	double	getY()
	{
		return( this.y );
	}

	public	boolean	equals( Object  point )
	{
		assert( point instanceof Point );

		return( this.equals( (Point)point ) );
	}

	public	boolean	equals( Point  point )
	{
		return( this.x == point.x && this.y == point.y );
	}

	public	int	hashCode()
	{
		return( new Double( this.x ).hashCode()
			^ new Double( this.y ).hashCode() );
	}
}
