package xmlCsv;

import java.io.Reader;
import java.io.IOException;

public class PeekReader
{
	private	Reader	reader;
	private	int	buf = -1;

	public	PeekReader( Reader  reader )
	{
		this.reader = reader;
	}

	int	read() throws IOException
	{
		if ( this.buf != -1 )
		{
			int	ch = buf;

			this.buf = -1;

			return( ch );
		}

		return( reader.read() );
	}

	int	peek() throws IOException
	{
		this.buf = reader.read();

		return( this.buf );
	}
}
