package daruma.geometry;

import daruma.geometry.Geometry;
import daruma.geometry.Point;

import java.util.List;
import java.util.ArrayList;

public class LineString extends Geometry
{
	private	List<Point>	points;

	public	LineString()
	{
		this.points = new ArrayList<Point>();
	}

	public	void	add( Point  point )
	{
		this.points.add( point );
	}

	public	List<Point>	getPoints()
	{
		return( this.points );
	}

	public	Point	get( int  index )
	{
		return( this.points.get( index ) );
	}
}
