package daruma.strage_manager.type_definition;

import daruma.strage_manager.StrageManager;

public class ElementColumnNameFactory
{
	private	ElementColumnNameFactory()
	{
	}

	public	static	final	String	getTopLevelColumnName()
	{
		return( "_value_" );
	}

	public	static	final	String	getTopLevelColumnName( int  i )
	{
		return( "_value_" + StrageManager.SHORT_XPATH_SEPARATOR + i );
	}

	public	static	final	String	getTopLevelColumnName( String  name )
	{
		return( "_value_"
			+ StrageManager.SHORT_XPATH_SEPARATOR + name );
	}

	public	static	final	String	getColumnName( String  base ,  int  i )
	{
		return( base + StrageManager.SHORT_XPATH_SEPARATOR + i );
	}

	public	static	final	String	getColumnName( String  base ,
						       String  name )
	{
		return( base + StrageManager.SHORT_XPATH_SEPARATOR + name );
	}

	public	static	final	String	getColumnNameSuffix( int  i )
	{
		return( StrageManager.SHORT_XPATH_SEPARATOR + i );
	}

	public	static	final	String	getCoiceElementIndexColumnName
						     ( String  base )
	{
		return( base + StrageManager.SHORT_XPATH_SEPARATOR
			+ "choice_element_index" );
	}
}
