package daruma.wfs.filter;

import daruma.strage_manager.StrageManager;
import daruma.strage_manager.type_definition.TypeDefinition;


public abstract class PredicateDescription
{
	private	StrageManager	strage;
	private	TypeDefinition	type;

	public	PredicateDescription( StrageManager  strage ,
				      TypeDefinition  type )
	{
		this.strage = strage;
		this.type   = type;
	}

	public	abstract String	getSQLExpression();

	protected StrageManager	getStrage()
	{
		return( this.strage );
	}

	protected TypeDefinition	getTypeDefinition()
	{
		return( this.type );
	}

	/*
	// XXX: should not be here?
	protected SQLDataType	getColumnSQLDataTypeFromShortXPath()
	{
		// XXX
		return( new SQLDataType( "blob" ) );
	}
	*/
}
